# Copyright (C)2017 @BABOLO http://www.babolo.ru/
# PKG = pgoblinclude
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: pgoblinclude.make,v 1.1 2017/04/23 13:47:57 babolo Exp $

PREFIX?=/usr/local
PGOBLINC_NSET?=pset
PGOBLINC_NLEAF?=pleaf
PGOBLINC_NNODE?=pnode
PGOBLINC_LIBEDIR=${PREFIX}/libexec/pgoblinclude
PGOBLINC_PLEAF=${PGOBLINC_LIBEDIR}/pleaf.awk
PGOBLINC_PNODE=${PGOBLINC_LIBEDIR}/pnode.awk
PGOBLINC_1LEAF=PGOBLINC_PLEAF -v mode=1 -v pleaf=${PGOBLINC_NSET}
PGOBLINC_2LEAF=PGOBLINC_PLEAF -v mode=2 -v pleaf=${PGOBLINC_NSET}
PGOBLINC_CNODE=PGOBLINC_PNODE -v pleaf=${PGOBLINC_NLEAF} -v pnode=${PGOBLINCLUDE_NNODE}

.for I in ${PLEA}
  PLEAS	+= ${I}.pleaf
  MGEN	+= ${I}.pleaf
.endfor

.for I in ${PLEAF}
  PLEAFS+= ${I}.pleaf
  MGEN	+= ${I}.pleaf
  DATA	+= ${I}
.endfor

.if !target(${PGOBLINC_NSET})
${PGOBLINC_NSET}: ${PLEAS} ${PLEAFS}
	${RM} -f ${PGOBLINC_NSET}
. if defined(PLEAS)
	${PGOBLINC_1LEAF} ${PLEAS}
. endif
. if defined(PLEAFS)
	${PGOBLINC_2LEAF} ${PLEAFS}
. endif
.endif

.if !target(${PGOBLINC_NLEAF} ${PGOBLINCLUDE_NNODE})
${PGOBLINC_NLEAF} ${PGOBLINCLUDE_NNODE}: ${PINODES}
	${RM} -f ${PGOBLINC_NLEAF} ${PGOBLINCLUDE_NNODE}
	${PGOBLINC_CNODE} ${PINODES}
.endif
